Nios® V/II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® V/II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++

Eclipse IDE is not opening

Anu_Jayan
Beginner
2,191 Views

HI

  I am using Ubuntu 20.04.4 

1) I have installed Intel Quartus Prime Pro edition 20.1.0.

2) Then followed the below link for installing the Eclipse IDE into Nios II EDS.

https://www.terasic.com.tw/wiki/Getting_Start_Install_Eclipse_IDE_into_Nios_EDS

3) After opening the Quartus-> Tools-> Nios II Software Build Tools For Eclipse. Then Eclipse IDE

opens & I have chosen a workspace for the project. Immediately after giving Ok the ide closes

abruptly.

4) As Eclipse requires java, I tried installing first with java 11,

      sudo apt install java-11-openjdk-amd64

      java -version
      openjdk version "11.0.18" 2023-01-17
      OpenJDK Runtime Environment (build 11.0.18+10-post-Ubuntu-0ubuntu120.04.1)
      OpenJDK 64-Bit Server VM (build 11.0.18+10-post-Ubuntu-0ubuntu120.04.1, mixed mode, sharing)

5) Still after facing the same issue, then I tried installing java 8 replacing java 11.

6) I also reinstalled the IDE software's hoping it may solve the issue. But still I have no idea why the IDE is closing.

 

Kindly help me to solve the issue by sharing any links for solution.

Thanks in advance.

Regards

Anu Jayan

0 Kudos
1 Solution
KellyJialin_Goh
Employee
2,111 Views

Hi,

Attached here is a screenshot of the supported Ubuntu OS for the Quartus version 20.4pro that you are using.

KellyJialin_Goh_0-1682565287963.png

As it does not support 20.04, you may have to upgrade the Quartus version.

 

Thank you.

 

Regards,

Kelly

View solution in original post

0 Kudos
8 Replies
KellyJialin_Goh
Employee
2,168 Views

Hi,

Greetings and welcome to Intel's forum.


You may check out this link on the installation steps and requirements for the NIOS II Eclipse:https://www.intel.com/content/www/us/en/docs/programmable/683525/21-3/installing-windows-subsystem-for-linux.html


Hope to hear on your findings and I will be happy to guide you further.


Thank you.


Regards,

Kelly


0 Kudos
Anu_Jayan
Beginner
2,163 Views

Hi Kelly

 

Kindly note, I am not using  Windows. I am working in Ubuntu 20.04.4 system. Can you please provide a solution for this.

 

Regards,

Anu Jayan

0 Kudos
KellyJialin_Goh
Employee
2,156 Views

Hi Anu Jayan,

Apologies for misunderstanding.

You may check out this link for the latest NIOS II Eclipse installation for Ubuntu OS: https://www.intel.com/content/www/us/en/docs/programmable/683525/21-3/linux-installation.html


Hope this information is useful to you.


Thank you.


Regards,

Kelly


0 Kudos
Anu_Jayan
Beginner
2,141 Views

Hi Kelly

  I have tried the above installation procedure, but still I am not able to open Eclipse IDE. I tried opening sudo ./eclipse-nios2.exe. But I got error as below.

An error occurred see the log file /root/.altera.sbt4e/20.1.0.177-linux64/configuration/1682516664296.log

 

Below I have attached the log of the error

 

!SESSION 2023-04-26 19:14:24.070 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_232
java.vendor=AdoptOpenJDK
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_IN
Framework arguments: -product org.eclipse.epp.package.cpp.product -pluginCustomization /home/zumi/intelFPGA_pro/nios2eds/bin/eclipse_nios2/plugin_customization.ini
Command-line arguments: -os linux -ws gtk -arch x86_64 -product org.eclipse.epp.package.cpp.product -pluginCustomization /home/zumi/intelFPGA_pro/nios2eds/bin/eclipse_nios2/plugin_customization.ini

!ENTRY org.eclipse.osgi 4 0 2023-04-26 19:14:24.529
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:78)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:669)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)
at org.eclipse.equinox.launcher.Main.run(Main.java:1515)
at org.eclipse.equinox.launcher.Main.main(Main.java:1488)

 

 

Regards

Anu Jayan

0 Kudos
KellyJialin_Goh
Employee
2,123 Views

Hi,

I just checked for the Quartus version 20.1 pro that you are using, it does not support Ubuntu OS 20.04.

You may have to upgrade to a newer Quartus version, which is 20.4pro onwards that supports the Ubuntu OS that you are using.


Once you have upgraded the Quartus version and perform the steps from the previous link on Linux Installation, the errors should be eliminated.


Hope to hear on your feedback.


Thank you.


Regards,

Kelly



0 Kudos
KellyJialin_Goh
Employee
2,112 Views

Hi,

Attached here is a screenshot of the supported Ubuntu OS for the Quartus version 20.4pro that you are using.

KellyJialin_Goh_0-1682565287963.png

As it does not support 20.04, you may have to upgrade the Quartus version.

 

Thank you.

 

Regards,

Kelly

0 Kudos
Anu_Jayan
Beginner
2,046 Views

Hi

 

I have upgraded the Quartus version to 20.4 pro. And now its working. Thank you.

 

Regards

Anu Jayan

0 Kudos
KellyJialin_Goh
Employee
1,984 Views

Hi,

I’m glad that your question has been addressed, I now transition this thread to community support. If you have a new question, Please login to ‘https://supporttickets.intel.com’, view details of the desire request, and post a feed/response within the next 15 days to allow me to continue to support you. After 15 days, this thread will be transitioned to community support. The community users will be able to help you on your follow-up questions.

 

p/s: If any answer from the community or Intel Support are helpful, please feel free to give best answer or rate 4/5 survey.

 

Thank you.

Regards,

Kelly Jialin, GOH



0 Kudos
Reply